org.eclipse.net4j.util.properties

## Interface IProperties<RECEIVER>

- All Superinterfaces:
    IPropertyProvider<RECEIVER>
  All Known Implementing Classes:
    DefaultPropertyTester, Properties

      public interface IProperties<RECEIVER>
      extends IPropertyProvider<RECEIVER>

  Contains a list of `properties`.
  Since:
    3.2
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(Property<RECEIVER> property)`
    `Property<RECEIVER>` | `getProperty(java.lang.String name)`
    `java.lang.Class<RECEIVER>` | `getReceiverType()`

    - ### Methods inherited from interface org.eclipse.net4j.util.properties.IPropertyProvider

      `getProperties`

- - ### Method Detail

    - #### getReceiverType

          java.lang.Class<RECEIVER> getReceiverType()

    - #### getProperty

          Property<RECEIVER> getProperty(java.lang.String name)

    - #### add

          void add(Property<RECEIVER> property)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html